Agora RTC Objective-C API Reference Refactor

Properties
AgoraOutputVideoFrame Class Reference

Inherits <NSObject>.

## Properties
NSInteger | type
int | width
int | height
int | yStride
int | uStride
int | vStride
uint8_t *_Nullable | yBuffer
uint8_t *_Nullable | uBuffer
uint8_t *_Nullable | vBuffer
int | rotation
int64_t | renderTimeMs
int | avSyncType
CVPixelBufferRef _Nullable | pixelBuffer
uint8_t *_Nullable | alphaBuffer
AgoraAlphaStitchMode | alphaStitchMode
NSDictionary *_Nonnull | metaInfo

## Property Documentation

## ◆ type

- (NSInteger) type
| read write nonatomic assign

Video format:

- 1: I420
- 2: BGRA
- 3: NV21
- 4: RGBA
- 5: IMC2
- 7: ARGB
- 8: NV12
- 12: iOS texture NV12 (CVPixelBufferRef)
- 13: iOS texture I420 (CVPixelBufferRef)
- 14: iOS texture BGRA (CVPixelBufferRef)

## ◆ width

- (int) width
| read write nonatomic assign

The width of the Video frame.

## ◆ height

- (int) height
| read write nonatomic assign

The height of the video frame.

## ◆ yStride

- (int) yStride
| read write nonatomic assign

The line span of Y buffer in the YUV data.

## ◆ uStride

- (int) uStride
| read write nonatomic assign

The line span of U buffer in the YUV data.

## ◆ vStride

- (int) vStride
| read write nonatomic assign

The line span of V buffer in the YUV data.

## ◆ yBuffer

- (uint8_t* _Nullable) yBuffer
| read write nonatomic assign

The pointer to the Y buffer in the YUV data.

## ◆ uBuffer

- (uint8_t* _Nullable) uBuffer
| read write nonatomic assign

The pointer to the U buffer in the YUV data.

## ◆ vBuffer

- (uint8_t* _Nullable) vBuffer
| read write nonatomic assign

The pointer to the V buffer in the YUV data.

## ◆ rotation

- (int) rotation
| read write nonatomic assign

The clockwise rotation information of this frame. You can set it as 0, 90, 180 or 270.

## ◆ renderTimeMs

- (int64_t) renderTimeMs
| read write nonatomic assign

The timestamp to render the video stream. Use this parameter for audio-video synchronization when rendering the video.

Note
  This parameter is for rendering the video, not capturing the video.

## ◆ avSyncType

- (int) avSyncType
| read write nonatomic assign

The type of audio-video synchronization.

## ◆ pixelBuffer

- (CVPixelBufferRef _Nullable) pixelBuffer
| read write nonatomic assign

CVPixelBuffer

## ◆ alphaBuffer

- (uint8_t* _Nullable) alphaBuffer
| read write nonatomic assign

Portrait Segmentation meta buffer, dimension of which is the same as AgoraOutputVideoFrame. Pixl value is between 0-255, 0 represents totally background, 255 represents totally foreground.

## ◆ alphaStitchMode

- (AgoraAlphaStitchMode) alphaStitchMode
| read write nonatomic assign

The relative position between alphabuffer and the frame. 0: Normal frame; 1: Alphabuffer is above the frame; 2: Alphabuffer is below the frame; 3: Alphabuffer is on the left of frame; 4: Alphabuffer is on the right of frame; The default value is 0.

## ◆ metaInfo

- (NSDictionary* _Nonnull) metaInfo
| read write nonatomic strong

The metadata information for FaceCapture and LipSync, such as blendshapes, rotation, and translation, whose key is KEY_FACE_CAPTURE.

## ◆ colorSpace

- (AgoraColorSpace* _Nullable) colorSpace
| read write nonatomic strong